<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="AssessmentCriteriaTemplate"   package="performa.orm">
        
        <IMPORT value="oneit.security.*"/>
                
        <MULTIPLEREFERENCE  name="AssessmentCriterias"  type="AssessmentCriteria"   backreferenceName="Template" />
        
        <TABLE  name="tl_assessment_template"   tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="TemplateName" type="String"   dbcol="template_name"   length="100"    mandatory="true"    uniqueGroup="TemplateName"/>
            
            <SINGLEREFERENCE    name="User" type="SecUser"  dbcol="user_id" uniqueGroup="TemplateName"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_assessment_template.object_id is not null"  orderBy="tl_assessment_template.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>